javax.batch.runtime

## Enum Metric.MetricType

- java.lang.Object
- - java.lang.Enum<Metric.MetricType>
  - - javax.batch.runtime.Metric.MetricType

- All Implemented Interfaces:
    Serializable, Comparable<Metric.MetricType>
  Enclosing interface:
    Metric

      public static enum Metric.MetricType
      extends Enum<Metric.MetricType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COMMIT_COUNT`
    `FILTER_COUNT`
    `PROCESS_SKIP_COUNT`
    `READ_COUNT`
    `READ_SKIP_COUNT`
    `ROLLBACK_COUNT`
    `WRITE_COUNT`
    `WRITE_SKIP_COUNT`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Metric.MetricType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Metric.MetricType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### READ_COUNT

          public static final Metric.MetricType READ_COUNT

    - #### WRITE_COUNT

          public static final Metric.MetricType WRITE_COUNT

    - #### COMMIT_COUNT

          public static final Metric.MetricType COMMIT_COUNT

    - #### ROLLBACK_COUNT

          public static final Metric.MetricType ROLLBACK_COUNT

    - #### READ_SKIP_COUNT

          public static final Metric.MetricType READ_SKIP_COUNT

    - #### PROCESS_SKIP_COUNT

          public static final Metric.MetricType PROCESS_SKIP_COUNT

    - #### FILTER_COUNT

          public static final Metric.MetricType FILTER_COUNT

    - #### WRITE_SKIP_COUNT

          public static final Metric.MetricType WRITE_SKIP_COUNT

  - ### Method Detail

    - #### values

          public static Metric.MetricType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Metric.MetricType c : Metric.MetricType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Metric.MetricType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.